Summary: A program for making transparent GIFs from non-transparent GIFs.
Name: giftrans
Version: 1.12.2
Release: 11
Copyright: BSD
Group: Applications/Multimedia
Source: ftp://ftp.rz.uni-karlsruhe.de/pub/net/www/tools/giftrans-1.12.2.tar.gz
Patch0: giftrans-1.12.2-operator.patch
Buildroot: %{_tmppath}/giftrans-root

%changelog
* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Nov 06 2001 Phil Knirsch <phil@redhat.de>
- Fixed an operator precedence problem (#55713).

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Dec 19 2000 Philipp Knirsch <pknirsch@redhat.de>
- rebuild

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com> 
- rebuild in the new build environment (release 6)
- FHS fixes

* Thu Feb 03 2000 Nalin Dahyabhai <nalin@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- udpated version

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%description
Giftrans will convert an existing GIF87 file to GIF89 format. In other
words, Giftrans can make one color in a .gif image (normally the
background) transparent.

Install the giftrans package if you need a quick, small, one-purpose
graphics program to make transparent .gifs out of existing .gifs.

%prep
%setup
%patch0 -p1 -b .operator

%build
gcc -Dvoidd=void $RPM_OPT_FLAGS -s -o giftrans giftrans.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -s -m 755 giftrans $RPM_BUILD_ROOT%{_bindir}
install giftrans.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/giftrans
%{_mandir}/man1/giftrans.1*
